Subject: Re: IGMP joins come from the wrong SA/interface

From: "Steinar H. Gunderson" <[email-masked]>
Date: Mon, 20 Jan 2014 19:40:25 +0100

On Sun, Jan 19, 2014 at 07:18:06PM +0100, Hannes Frederic Sowa wrote:
> I currently only remember one commit 0a7e22609067ff ("ipv4: fix
> ineffective source address selection") which did affect multicast source
> address selection in recent times.

I tried 3.10.27, just to check something older. I also tried 3.10.27 with
0a7e22609067ff reverted, and it's still wrong.

I am thinking this might have something to do with the machine switching to
systemd, presumably changing the order of DHCP and static addresses being
assigned...

/* Steinar */
-- 
Homepage: http://www.sesse.net/